package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.math.BigDecimal;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.CoeficienteTarifa;

public class RenderCoeficienteTarifa implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		CoeficienteTarifa colonia = (CoeficienteTarifa) o;

		Listcell lc = new Listcell();

		lc = new Listcell(colonia.getCoeficienteId().toString());
		lc.setParent(lstm);

		lc = new Listcell(colonia.getDescCoeficiente() == null ? "-" : colonia.getDescCoeficiente());
		lc.setParent(lstm);

		BigDecimal coeficiente = colonia.getCoeficiente();
		if (coeficiente != null) {
			lc = new Listcell(coeficiente.toString());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lstm.setAttribute("data", colonia);
	}
}
